Be in love with vulnerability scanning

Mageni is a powerful and easy vulnerability scanner used by companies of all sizes. You will be in love with Mageni's powerful features, ease of use and price. Free for 7-days then $39 monthly for infinite IPs.

Start now 

No Contracts, Cancel at Anytime and 7-days Money-Back Guarantee.

App screenshot

CVE-2004-0888

CVE information

Published

17 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Multiple integer overflows in xpdf 2.0 and 3.0, and other packages that use xpdf code such as CUPS, gpdf, and kdegraphics, allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code, a different set of vulnerabilities than those identified by CVE-2004-0889..

CVSSv2.0 Score

Severity
High
Base Score
10/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:pdftohtml:pdftohtml:0.32a:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.19_rc5:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:kde:koffice:1.3_beta2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pdftohtml:pdftohtml:0.35:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnome:gpdf:0.112:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnome:gpdf:0.131:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:kde:koffice:1.3_beta3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pdftohtml:pdftohtml:0.36:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:tetex:tetex:1.0.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:1.0a:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.4_3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:kde:koffice:1.3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pdftohtml:pdftohtml:0.33a:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:0.91:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:kde:koffice:1.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pdftohtml:pdftohtml:0.32b:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.0.4_8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.17:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:0.92:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.19:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:kde:kpdf:3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.0.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.4_2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:kde:koffice:1.3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pdftohtml:pdftohtml:0.33:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:tetex:tetex:2.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:0.90:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.20:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:kde:koffice:1.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:tetex:tetex:2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:tetex:tetex:2.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.18:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.4_5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:easy_software_products:cups:1.1.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:kde:koffice:1.3_beta1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pdftohtml:pdftohtml:0.34:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:0.93:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xpdf:xpdf:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:advanced_server_ia64
  Yes
- -
cpe:2.3:o:redhat:fedora_core:core_2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux_desktop:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:arm:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:ubuntu:ubuntu_linux:4.1:*:ppc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux_advanced_workstation:2.1:*:ia64:*:*:*
  Yes
- -
cpe:2.3:o:kde:kde:3.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:mipsel:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:ppc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:3.0:*:enterprise_server:*:
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:ia-32:*:*:*:*:*
  Yes
- -
cpe:2.3:o:kde:kde:3.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:enterprise_server:*:
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:hppa:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:sparc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:advanced_server:*:*:
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:3.0:*:workstation_server:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:x86_64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:m68k:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:mips:*:*:*:*:*
  Yes
- -
cpe:2.3:o:kde:kde:3.2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux_advanced_workstation:2.1:*:itanium_pr
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:alpha:*:*:*:*:*
  Yes
- -
cpe:2.3:o:kde:kde:3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:3.0:*:advanced_server:*:*:
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:ia-64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:gentoo:linux:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:kde:kde:3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:enterprise_server_ia
  Yes
- -
cpe:2.3:o:ubuntu:ubuntu_linux:4.1:*:ia64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:s-390:*:*:*:*:*
  Yes
- -
cpe:2.3:o:kde:kde:3.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:workstation:*:*:*:*:
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:workstation_ia64:*:*
  Yes
- -

Every 11 seconds there is a ransomware attack.

Mageni can help you manage this threat by understanding your vulnerabilities and prioritizing the remediation.

Sign up for free